#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cryptonite
version: 0.6
id: cryptonite-0.6-e2aac0780e975baeb973eba28baf2d17
key: crypt_3YKPcvZHrGPI3k6XAf6XX8
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: vincent@snarc.org
stability: experimental
homepage: https://github.com/vincenthz/cryptonite
synopsis: Cryptography Primitives sink
description:
    A repository of cryptographic primitives.
    .
    * Symmetric ciphers: AES, DES, 3DES, Blowfish, Camellia, RC4, Salsa, ChaCha.
    .
    * Hash: SHA1, SHA2, SHA3, MD2, MD4, MD5, Kekkak, Skein, Ripemd, Tiger, Whirlpool
    .
    * MAC: HMAC, Poly1305
    .
    * Assymmetric crypto: DSA, RSA, DH, ECDH, ECDSA, ECC, Curve25519, Ed25519
    .
    * Key Derivation Function: PBKDF2, Scrypt
    .
    * Cryptographic Random generation: System Entropy, Deterministic Random Generator
    .
    * Data related: Anti-Forensic Information Splitter (AFIS)
    .
    If anything cryptographic related is missing from here, submit
    a pull request to have it added. This package strive to be a
    cryptographic kitchen sink that provides cryptography for everyone.
    .
    Evaluate the security related to your requirements before using.
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Crypto.Cipher.AES Crypto.Cipher.Blowfish Crypto.Cipher.Camellia
    Crypto.Cipher.ChaCha Crypto.Cipher.ChaChaPoly1305 Crypto.Cipher.DES
    Crypto.Cipher.RC4 Crypto.Cipher.Salsa Crypto.Cipher.TripleDES
    Crypto.Cipher.Types Crypto.Data.AFIS Crypto.Error
    Crypto.MAC.Poly1305 Crypto.MAC.HMAC Crypto.Number.Basic
    Crypto.Number.F2m Crypto.Number.Generate
    Crypto.Number.ModArithmetic Crypto.Number.Prime
    Crypto.Number.Serialize Crypto.Number.Serialize.Internal
    Crypto.KDF.PBKDF2 Crypto.KDF.Scrypt Crypto.Hash Crypto.Hash.IO
    Crypto.Hash.Algorithms Crypto.PubKey.Curve25519
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.DH Crypto.PubKey.DSA
    Crypto.PubKey.ECC.Generate Crypto.PubKey.ECC.Prim
    Crypto.PubKey.ECC.DH Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.P256
    Crypto.PubKey.ECC.Types Crypto.PubKey.Ed25519 Crypto.PubKey.RSA
    Crypto.PubKey.RSA.PKCS15 Crypto.PubKey.RSA.Prim
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.OAEP
    Crypto.PubKey.RSA.Types Crypto.Random Crypto.Random.Types
    Crypto.Random.Entropy Crypto.Random.EntropyPool
    Crypto.Random.Entropy.Unsafe
hidden-modules: Crypto.Cipher.AES.Primitive
                Crypto.Cipher.Blowfish.Box Crypto.Cipher.Blowfish.Primitive
                Crypto.Cipher.Camellia.Primitive Crypto.Cipher.DES.Primitive
                Crypto.Cipher.Types.AEAD Crypto.Cipher.Types.Base
                Crypto.Cipher.Types.Block Crypto.Cipher.Types.GF
                Crypto.Cipher.Types.Stream Crypto.Cipher.Types.Utils
                Crypto.Error.Types Crypto.Number.Compat Crypto.Hash.Types
                Crypto.Hash.SHA1 Crypto.Hash.SHA224 Crypto.Hash.SHA256
                Crypto.Hash.SHA384 Crypto.Hash.SHA512 Crypto.Hash.SHA512t
                Crypto.Hash.SHA3 Crypto.Hash.Kekkak Crypto.Hash.MD2 Crypto.Hash.MD4
                Crypto.Hash.MD5 Crypto.Hash.RIPEMD160 Crypto.Hash.Skein256
                Crypto.Hash.Skein512 Crypto.Hash.Tiger Crypto.Hash.Whirlpool
                Crypto.Random.Entropy.Source Crypto.Random.Entropy.Backend
                Crypto.Random.ChaChaDRG Crypto.Random.SystemDRG
                Crypto.Random.Probabilistic Crypto.PubKey.Internal
                Crypto.PubKey.ElGamal Crypto.Internal.ByteArray
                Crypto.Internal.Compat Crypto.Internal.CompatPrim
                Crypto.Internal.DeepSeq Crypto.Internal.Imports
                Crypto.Internal.Words Crypto.Internal.WordArray
                Crypto.Random.Entropy.RDRand Crypto.Random.Entropy.Unix
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/cryptonite-0.6
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/cryptonite-0.6
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/cryptonite-0.6
hs-libraries: HScryptonite-0.6-3YKPcvZHrGPI3k6XAf6XX8
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    deepseq-1.4.1.1-0354326a723a42c7cbc9764ea7e4c5c2
    ghc-prim-0.4.0.0-af16264bc80979d06e37ac63e3ba9a21
    integer-gmp-1.0.0.0-8e0f14d0262184533b417ca1f8b44482
    memory-0.8-c8598dfda2b10cd91fa8a4611a9812bb
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/cryptonite-0.6/html/cryptonite.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/cryptonite-0.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
